summaryrefslogtreecommitdiffstats
path: root/gencov
Side-by-side diff
Diffstat (limited to 'gencov') (more/less context) (ignore whitespace changes)
-rwxr-xr-xgencov10
1 files changed, 10 insertions, 0 deletions
diff --git a/gencov b/gencov
new file mode 100755
index 0000000..f8f642d
--- a/dev/null
+++ b/gencov
@@ -0,0 +1,10 @@
+#!/bin/zsh
+arg=$1
+kerneldir="/media/Corona/bldit"
+pidof qemu-kvm || exit 1
+cd $kerneldir
+mkdir .lcov
+ssh -t -p 2222 [email protected] sudo /usr/bin/gcovmake
+geninfo -b $kerneldir -o application.info .gcov/$arg || exit 1
+genhtml -s -o .lcov/ --highlight --legend application.info
+